## org.eclipse.ocl.cst
Interface PrimitiveTypeCS

All Superinterfaces:
  CSTNode, EObject, Notifier, OCLExpressionCS, SimpleNameCS, TypeCS

All Known Implementing Classes:
  PrimitiveTypeCSImpl

    public interface PrimitiveTypeCS

extends SimpleNameCS, TypeCS

A representation of the model object 'Primitive Type CS'.

See Also:
  `CSTPackage.getPrimitiveTypeCS()`

Method Summary

Methods inherited from interface org.eclipse.ocl.cst.SimpleNameCS
`getType, getValue, setType, setValue`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.